<?php
if( isset( $_POST['glastfm_hidden'] ) )
{
	extract( $_POST );
	update_option( 'glastfm_api', $glastfm_api );
	?>

	<div class="updated">
		<p>
			<strong><?php _e('Options saved.' ); ?></strong>
		</p>
	</div>

	<?php
}
else
{
	$glastfm_api = get_option( 'glastfm_api' );
}
?>

<div class="wrap">
	<?php echo '<h2>' . __( 'gLastFM Configuration', GLASTFM_TEXT_DOMAIN ) . '</h2>'; ?>

	<form name="glastfm_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI'] ); ?>">
		<input type="hidden" name="glastfm_hidden" value="Y">
		<p>
			<?php _e( 'API Key :' , GLASTFM_TEXT_DOMAIN ); ?>
			<input type="text" name="glastfm_api" value="<?php echo $glastfm_api; ?>" size="40">
			<em><?php printf( __( 'Get your Last.fm API key %shere%s', GLASTFM_TEXT_DOMAIN ),'<a href="http://www.last.fm/api/account">','</a>'); ?></em>
		</p>

		<p>
			<?php printf( __( 'Once your API key is set, go to the <a href="%s">widget section</a> and add a gLastFM widget.', GLASTFM_TEXT_DOMAIN ), 'widgets.php' ); ?>

		</p>

		<p class="submit">
			<input type="submit" name="Submit" value="<?php _e('Update Options', GLASTFM_TEXT_DOMAIN ); ?>" />
		</p>
	</form>
</div>
